<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetPermissionListResponse StructType
 * @subpackage Structs
 */
class GetPermissionListResponse extends AbstractStructBase
{
    /**
     * The UserPermissionsRS
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_StaticDataRS
     */
    public $UserPermissionsRS;
    /**
     * Constructor method for GetPermissionListResponse
     * @uses GetPermissionListResponse::setUserPermissionsRS()
     * @param \StructType\JP_StaticDataRS $userPermissionsRS
     */
    public function __construct(\StructType\JP_StaticDataRS $userPermissionsRS = null)
    {
        $this
            ->setUserPermissionsRS($userPermissionsRS);
    }
    /**
     * Get UserPermissionsRS value
     * @return \StructType\JP_StaticDataRS|null
     */
    public function getUserPermissionsRS()
    {
        return $this->UserPermissionsRS;
    }
    /**
     * Set UserPermissionsRS value
     * @param \StructType\JP_StaticDataRS $userPermissionsRS
     * @return \StructType\GetPermissionListResponse
     */
    public function setUserPermissionsRS(\StructType\JP_StaticDataRS $userPermissionsRS = null)
    {
        $this->UserPermissionsRS = $userPermissionsRS;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\GetPermissionListResponse
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
